<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="statics/style.css">
    <script src="statics/script.js"></script>
    <title>Document</title>
</head>
<body>
    <div class="header">
        <div class="h"><h1>Schleuder</h1></div>
        <div id="ajaxIndicator"></div>
    </div>

    <div class="controls sim-controls">
        <form action="" id="ajax">
            <label>Ajax Abfrage (250 ms): </label>
            <input type="button" value="stop" class="button stop" onclick="ajaxControl(false);">
            <input type="button" value="start" class="button start" onclick="ajaxControl(true);">
        </form> 

        <form action="" id="sim">
            <label>Simulation: </label>
            <input type="button" value="anhalten" class="button stop" onclick="simControl('stop')">
            <input type="button" value="fortsetzen" class="button start" onclick="simControl('start')">
            <input type="button" value="beenden" class="button stop" onclick="simControl('shutdown')">
        </form> 

        <form action="" id="sim-intervall">
            <label for="">Simulationsintervall:</label>
            <input type="number" name="rate" id="rate" onchange="simControl('rate')"> ms
        </form>
    </div>

    <hr>

    <div class="output">
        <canvas id="canvas" width="830" height="450"></canvas>
    </div>

    <hr>

    <div class="controls throw-controls">
        <form method="POST" action="/addThrow">
            <label for="speed">Startgeschwindigkeit:</label> <input type="range" name="speed" id="speed" min="0" max="90" value="40" onchange="updateText('speedText', this.value)"> <span id="speedText">40</span> m/s <br>
            <label for="angle">Wurfwinkel:</label> <input type="range" name="angle" id="angle" min="0" max="90" value="45" onchange="updateText('angleText', this.value)"> <span id="angleText">45</span> ° <br>
            <input type="submit" value="los">
        </form>
    </div>

</body>
</html>